Chimera: chimera_0-9/include/key.h File Reference

- Main Page
- Classes
- Files
- Directories

- File List
- File Members

# key.h File Reference

`#include <limits.h>`
`#include <stdio.h>`
`#include <openssl/evp.h>`
`#include <string.h>`

Go to the source code of this file.

## Classes
struct | Key
## Defines
#define | KEY_SIZE 160
#define | BASE_B 4
## Functions
void | key_makehash (void *logs, Key *hashed, char *s)
void | key_init ()
void | key_distance (void *logs, Key *diff, Key k1, Key k2)
int | key_between (void *logs, Key test, Key left, Key right)
void | key_midpoint (void *logs, Key *mid, Key key)
int | key_index (void *logs, Key mykey, Key k)
void | key_print (Key k)
void | key_to_str (char *str, Key k)
void | str_to_key (char *str, Key *k)
void | key_assign (Key *k1, Key k2)
void | key_assign_ui (Key *k, unsigned long ul)
int | key_equal (Key k1, Key k2)
int | key_equal_ui (Key k, unsigned long ul)
int | key_comp (Key k1, Key k2)
## Variables
Key | Key_Max
Key | Key_Half

## Define Documentation

#define BASE_B 4

#define KEY_SIZE 160

## Function Documentation

void key_assign | ( | Key * | k1,
|  | Key | k2
| ) |

void key_assign_ui | ( | Key * | k,
|  | unsigned long | ul
| ) |

int key_between | ( | void * | logs,
|  | Key | test,
|  | Key | left,
|  | Key | right
| ) |

int key_comp | ( | Key | k1,
|  | Key | k2
| ) |

void key_distance | ( | void * | logs,
|  | Key * | diff,
|  | Key | k1,
|  | Key | k2
| ) |

int key_equal | ( | Key | k1,
|  | Key | k2
| ) |

int key_equal_ui | ( | Key | k,
|  | unsigned long | ul
| ) |

int key_index | ( | void * | logs,
|  | Key | mykey,
|  | Key | k
| ) |

void key_init | ( |  | ) |

void key_makehash | ( | void * | logs,
|  | Key * | hashed,
|  | char * | s
| ) |

void key_midpoint | ( | void * | logs,
|  | Key * | mid,
|  | Key | key
| ) |

void key_print | ( | Key | k | ) |

void key_to_str | ( | char * | str,
|  | Key | k
| ) |

void str_to_key | ( | char * | str,
|  | Key * | k
| ) |

## Variable Documentation

Key Key_Half

Key Key_Max